import 'package:injectable/injectable.dart';
import 'package:oasis_api/injection.dart';
import 'package:oasis_api/oasis_api.dart';
import 'package:smartstruct/smartstruct.dart';

part 'booking_mapper.mapper.g.dart';

// @LazySingleton(env: [Environment.dev, Environment.prod, Environment.test])
@Mapper(useInjection: true, caseSensitiveFields: false)
abstract class BookingMapper {
  Booking fromModel(BookingModel model);

  BookingModel toModel(Booking booking);

  List<Booking> fromModelList(List<BookingModel> models);

  List<BookingModel> toModelList(List<Booking> bookings);
}
