import 'package:injectable/injectable.dart';
import 'package:oasis_api/injection.dart';
import 'package:oasis_api/oasis_api.dart';
import 'package:smartstruct/smartstruct.dart';

part 'invoice_mapper.mapper.g.dart';

// @LazySingleton(env: [Environment.dev, Environment.prod, Environment.test])
@Mapper(useInjection: true, caseSensitiveFields: false)
abstract class InvoiceMapper {
  Invoice fromModel(InvoiceModel model);

  InvoiceModel toModel(Invoice invoice);

  List<Invoice> fromModelList(List<InvoiceModel> models);

  List<InvoiceModel> toModelList(List<Invoice> invoices);
}
