import 'package:injectable/injectable.dart';
import 'package:oasis_api/oasis_api.dart';
import 'package:smartstruct/smartstruct.dart';

part 'keyword_mapper.mapper.g.dart';

// @LazySingleton(env: [Environment.dev, Environment.prod, Environment.test])
@Mapper(useInjection: true, caseSensitiveFields: false)
abstract class KeywordMapper {
  Keyword fromModel(KeywordModel model);

  KeywordModel toModel(Keyword keyword);

  List<KeywordModel> toModelList(List<Keyword> observationMessages);

  List<Keyword> fromModelList(List<KeywordModel> keyWords);

  KeywordMapper();
}
