import 'package:injectable/injectable.dart';
import 'package:oasis_api/injection.dart';
import 'package:oasis_api/oasis_api.dart';
import 'package:smartstruct/smartstruct.dart';

part 'observation_mapper.mapper.g.dart';

// @LazySingleton(env: [Environment.dev, Environment.prod, Environment.test])
@Mapper(useInjection: true, caseSensitiveFields: false)
abstract class ObservationMapper {
  ObservationMessage fromModel(ObservationModel model);

  ObservationModel toModel(ObservationMessage observation);

  List<ObservationModel> toModelList(
      List<ObservationMessage> observationMessages);

  ObservationMapper();
}
