import 'package:injectable/injectable.dart';
import 'package:oasis_api/injection.dart';
import 'package:oasis_api/oasis_api.dart';
import 'package:smartstruct/smartstruct.dart';

import 'observation_mapper.dart';
import 'topic_model.dart';

part 'topic_mapper.mapper.g.dart';

// @LazySingleton(env: [Environment.dev, Environment.prod, Environment.test])
@Mapper(useInjection: true, caseSensitiveFields: false)
abstract class TopicMapper {
  Topic fromModel(TopicModel model);

  TopicModel toModel(Topic grpcObject);

  List<TopicModel> toModelList(List<Topic> grpcObjects);

  TileGridItemModel toGridItem(Topic topic, onTap);

  List<TileGridItemModel> toGridItemList(List<Topic> topics, onTap);
}
